package com.gree.mall.contest.bean.activity;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class PromotionGroupDetail {

    @Schema(description = "用户id")
    private String userId;
    @Schema(description = "团长名称")
    private String nickName;
    @Schema(description = "所属网点")
    private String websitName;
    @Schema(description = "职务")
    private String position;
    @Schema(description = "手机号码")
    private String phone;
    @Schema(description = "首次分享时间")
    private Date firstTime;
    @Schema(description = "分享次数")
    private Integer shareNum;
    @Schema(description = "订单数量")
    private Integer orderNum;
    @Schema(description = "订单台数")
    private Integer goodsNum;
    @Schema(description = "成交金额")
    private BigDecimal orderTotalAmount;
    @Schema(description = "团长分佣总额")
    private BigDecimal shareTotalAmount;
    @Schema(description = "团长已分佣金额")
    private BigDecimal settledAmount;
}
