package com.gree.mall.contest.bean.admin;

import com.gree.mall.contest.plus.entity.AdminModule;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.ArrayList;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class AdminModuleTree extends AdminModule {

    @Schema(description = "子级")
    private List<AdminModuleTree> children = new ArrayList<>();
    @Schema(description = "是否显示")
    private Boolean show = false;

}
