package com.gree.mall.contest.bean.common;


import com.gree.mall.contest.enums.StatusEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

@Data

public class AmityUrlVO {

    @Schema(description = "友情链接id")
    private String amityUrlId;

    @Schema(description = "友情链接名称")
    private String amityUrlName;

    @Schema(description = "友链地址")
    private String amityUrl;

    @Schema(description = "logo")
    private String amityUrlLogo;

    @Schema(description = "排序")
    private Integer amityUrlSort;

    @Schema(description = "状态")
    private StatusEnum status;

    @Schema(description = "创建人")
    private String createBy;

    @Schema(description = "创建时间")
    private Date createTime;

    @Schema(description = "更新人")
    private String updateBy;

    @Schema(description = "更新时间")
    private Date updateTime;
}
