package com.gree.mall.contest.bean.goods;

import com.gree.mall.contest.plus.entity.GoodsPackagePop;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class GoodsPackageBean extends GoodsPackagePop {

    @Schema(description = "商品名称")
    private String goodsName;
    @Schema(description = "图片")
    private String imgUrl;
    @Schema(description = "规格")
    private List<GoodsPackagePopBean> goodsPackagePopList;

}
