package com.gree.mall.contest.bean.goods;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.contest.annotation.ZfireField;
import com.gree.mall.contest.plus.entity.GoodsShare;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@Data
public class GoodsShareVO {

    @Schema(description = "")
    @TableId(value = "goods_share_id", type = IdType.ASSIGN_ID)
    @ZfireField(hide = true)
    private String goodsShareId;
    @Schema(description = "图片")
    @TableField(value = "img")
    private String img;
    @Schema(description = "图片名称")
    @TableField(value = "name")
    private String name;
    @Schema(description = "显示日期开始")
    @TableField(value = "start_time")
    private Date startTime;
    @Schema(description = "结束日期")
    @TableField(value = "end_time")
    private Date endTime;
    @Schema(description = "创建时间")
    @TableField(value = "create_time")
    private Date createTime;
    @Schema(description = "修改时间")
    @TableField(value = "update_time")
    private Date updateTime;
    @Schema(description = "创建人")
    @TableField(value = "create_by")
    private String createBy;
    @Schema(description = "修改人")
    @TableField(value = "update_by")
    private String updateBy;

}
