package com.gree.mall.contest.bean.zfire;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;


@Data
public class ZfireCustomParam {
    @Schema(description = "id")
    private String id;
    @NotBlank
    @Schema(description = "自定义条件名称")
    private String name;
    @NotBlank
    @Schema(description = "模块id")
    private String moduleId;
    @NotNull
    @Schema(description = "组成条件")
    private List<QueryParamBean> items;

}
