package com.gree.mall.contest.commonmapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.gree.mall.contest.bean.coupon.CustomCoupouBean;
import com.gree.mall.contest.bean.coupon.CouponObtainBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

@Mapper
public interface CustomCoupouMapper {

    @InterceptorIgnore(tenantLine = "true")
    List<CustomCoupouBean> listCoupou(@Param("userId") String userId,
                                      @Param("orderAmount") BigDecimal orderAmount,
                                      @Param("goodsIds")List<String> goodsIds);

    @InterceptorIgnore(tenantLine = "true")
    List<CouponObtainBean> listObtainCoupou(@Param("userId") String userId,
                                            @Param("companyWechatId") String companyWechatId);

}
