package com.gree.mall.contest.bean.activity;

import com.gree.mall.contest.plus.entity.PromotionGroup;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

@EqualsAndHashCode(callSuper = true)
@Data
public class PromotionGroupList extends PromotionGroup {

    @Schema(description = "参数产品数量")
    private Integer goodsNum;
    @Schema(description = "订单数量")
    private Integer orderNum;
    @Schema(description = "订单台数")
    private Integer orderDetailNum;
    @Schema(description = "订单总金额")
    private BigDecimal orderTotalAmount;
    @Schema(description = "团长分佣总额")
    private BigDecimal shareTotalAmount;


}
