package com.gree.mall.contest.bean.goods;

import com.gree.mall.contest.plus.entity.GoodsSpec;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

@EqualsAndHashCode(callSuper = true)
@Data
public class GoodsSpecSecBean extends GoodsSpec {
    @Schema(description = "秒杀id")
    private String secKillId;

    @Schema(description = "秒杀商品规格id")
    private String secKillSpecId;

    @Schema(description = "秒杀商品库存")
    private Integer secStockNum;

    @Schema(description = "秒杀商品限制购买数量")
    private Integer limitBuy;

    @Schema(description = "场次结束时间")
    private Integer endHour;

    @Schema(description = "秒杀分销金额")
    private BigDecimal secShareAmount;

    @Schema(description = "秒杀价格")
    private BigDecimal secPrice;

    @Schema(description = "是否正在秒杀商品,true:秒杀中,false:非秒杀")
    private Boolean secType;

    @Schema(description = "商品划线价")
    private BigDecimal orgGoodsPrice;

}
