package com.gree.mall.contest.bean.template;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class TemplateBean {
    @Schema(description = "公共模板id,新增时不用传")
    private String commonTemplateId;

    @Schema(description = "内容")
    private String content;

    @Schema(description = "模板名称")
    private String name;

    @Schema(description = "商品id列表")
    private List<String> goodsIds;

    @Schema(description = "水印")
    private String logo;
    @Schema(description = "水印开始时间")
    private String logoStartTime;
    @Schema(description = "水印结束时间")
    private String logoEndTime;
    @Schema(description = "1=说明管理 2=水印管理")
    private Integer type;


}
