package com.gree.mall.contest.enums.merchant;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.contest.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum WebsitApplyStatusEnum implements BaseEnum {
    WAIT("WAIT","继续跟进"),
    FAIL("FAIL","无需跟进"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;

}